%define tarname bmp
%define name beepmp
%define version 0.9.6.2
%define cvssnap 20040121
%define major 1
%define libname %mklibname %{name} %{major}
%define libname_devel %mklibname %{name} %{major} -d

Summary:	A versatile and handy media player
Name:		%{name}
Version:	%{version}
Release:	0.%{cvssnap}.3mdk
Source0:	%{tarname}-%{cvssnap}.tar.bz2
Source10:	%{name}-48.png
Patch1:		beep-0.9.6.2-xmms-skins.patch.bz2
License:	GPL
Group:		Sound
Url:		http://beepmp.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	gtk+2-devel
BuildRequires:	ImageMagick

%description
beep is a media player based on the XMMS music playing application.
Its primary goals are usability and usage of current desktop standards.

%package -n %{libname}
Group:          System/Libraries
Summary: 	Library for %{name}

%description -n %{libname}
beep is a media player based on the XMMS music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the library needed by %{name}.

%package -n %{libname_devel}
Summary: Development files for %{name}.
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
beep is a media player based on the XMMS music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the files needed for developing applications
which use %{name}.

%prep
%setup -q -n %{tarname}
%patch1

%build
%define __libtoolize /bin/true
%configure
perl -pi -e 's|if test "\$mode" = link && test -n "\$archive_cmds" && test -x "/usr/bin/perl"; then|if /bin/false; then|' libtool
%make

# well, there is a svg icon now, but converting that to png using convert
# doesn't produce a good result... so use one png to create the others...
/usr/bin/convert %SOURCE10 -resize 32x32 beep-32.png
/usr/bin/convert %SOURCE10 -resize 16x16 beep-16.png

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# this is needed/used but not created by make install...
mkdir -p %{buildroot}/%{_libdir}/bmp/General

# remove old menu stuff
rm -f %{buildroot}/%{_datadir}/applications/beep.desktop

%find_lang %{tarname}

#menu and icons
install -m644 beep-16.png -D %{buildroot}/%{_miconsdir}/%{name}.png
install -m644 beep-32.png -D %{buildroot}/%{_iconsdir}/%{name}.png
install -m644 %SOURCE10   -D %{buildroot}/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%name):command="soundwrapper %{_bindir}/beep-media-player"\
 icon="%name.png" needs="X11" section="Applications/Multimedia/Sound"\
 mimetypes="audio/x-mp3;audio/x-ogg;application/x-ogg;audio/x-mpegurl;audio/x-wav"\
 title="Beep Media Player" longtitle="Multimedia Player"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{tarname}.lang
%defattr(0755,root,root,0755)
%{_bindir}/beep-media-player
%defattr(0644,root,root,0755)
%dir %{_libdir}/bmp
%dir %{_libdir}/bmp/General
%dir %{_libdir}/bmp/Input
%{_libdir}/bmp/Input/*
%dir %{_libdir}/bmp/Output
%{_libdir}/bmp/Output/*
%dir %{_libdir}/bmp/Visualization
%{_libdir}/bmp/Visualization/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/icons/*.svg
%{_datadir}/bmp
%{_mandir}/man1/*

%files -n %{libname}
%defattr(0644,root,root,0755)
%{_libdir}/*.so.*

%files -n %{libname_devel}
%defattr(0755,root,root,0755)
%{_bindir}/beep-config
%defattr(0644,root,root,0755)
%{_includedir}/bmp
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%changelog
* Fri Jan 23 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.3mdk
- adapted BuildRequires to require package instead of files
- own %{_libdir}/bmp/General
- new menu structure

* Thu Jan 22 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.2mdk
- patch1: also search for skins in XMMS' skin directory

* Wed Jan 21 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.1mdk
- new cvs snapshot
- let menu generate mime type stuff from menu entry, i.e. add mime types
  to menu entry and remove gnome mime type file
- generate small icons from big one using convert
- further cleanups

* Sun Jan 18 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.9.6.1-2mdk
- Add menu item
- Add gnome mime type
- Put plugins in main package

* Fri Jan  9 2004 Olivier Blin <blino@mandrake.org> 0.9.6.1-1mdk
- fix bad patch in Mandrake's libtool
- Patch0: fix g_build_filename bug (use NULL to finish arguments)
- initial release
